Subject: Re: Any experience w/ tuberoses?

From: [email-masked] (charles dunn)
Date: 12 Mar 1995 23:38:22 -0600

Tuberoses seldom rebloom here in zone 9.  
Sanny ([email-masked]) wrote:
: I have grown tuberoses (zone 6), but do not have success digging them up
: and overwintering them.  They do bloom late and need lots of sun and
: nutrients (not too much nitrogen or you will get only leaves).  They are
: inexpensive enough to just buy new ones.  And they do smell great!!